package org.springblade.estate.feign;

import org.springblade.estate.entity.Company;
import org.springblade.estate.vo.CompanyVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CompanyClientFallback implements ICompanyClient {
            /**
         * 详情
         */
        @Override
        public CompanyVO detail(Company company) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<CompanyVO> list(Company company) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Company company) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Company company) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Company company) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
